io.agora.rtc

## Class AnaStats

- java.lang.Object
- - io.agora.rtc.AnaStats

-     public class AnaStats
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `bitrateActionCounter`
    `private int` | `channelActionCounter`
    `private int` | `dtxActionCounter`
    `private int` | `fecActionCounter`
    `private int` | `frameLengthDecreaseCounter`
    `private int` | `frameLengthIncreaseCounter`
    `private float` | `uplinkPacketLossFraction`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnaStats()`
    `AnaStats(int bitrateActionCounter, int channelActionCounter, int dtxActionCounter, int fecActionCounter, int frameLengthIncreaseCounter, int frameLengthDecreaseCounter, float uplinkPacketLossFraction)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBitrateActionCounter()`
    `int` | `getChannelActionCounter()`
    `int` | `getDtxActionCounter()`
    `int` | `getFecActionCounter()`
    `int` | `getFrameLengthDecreaseCounter()`
    `int` | `getFrameLengthIncreaseCounter()`
    `float` | `getUplinkPacketLossFraction()`
    `void` | `setBitrateActionCounter(int bitrateActionCounter)`
    `void` | `setChannelActionCounter(int channelActionCounter)`
    `void` | `setDtxActionCounter(int dtxActionCounter)`
    `void` | `setFecActionCounter(int fecActionCounter)`
    `void` | `setFrameLengthDecreaseCounter(int frameLengthDecreaseCounter)`
    `void` | `setFrameLengthIncreaseCounter(int frameLengthIncreaseCounter)`
    `void` | `setUplinkPacketLossFraction(float uplinkPacketLossFraction)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### bitrateActionCounter

          private int bitrateActionCounter

    - #### channelActionCounter

          private int channelActionCounter

    - #### dtxActionCounter

          private int dtxActionCounter

    - #### fecActionCounter

          private int fecActionCounter

    - #### frameLengthIncreaseCounter

          private int frameLengthIncreaseCounter

    - #### frameLengthDecreaseCounter

          private int frameLengthDecreaseCounter

    - #### uplinkPacketLossFraction

          private float uplinkPacketLossFraction

  - ### Constructor Detail

    - #### AnaStats

          public AnaStats()

    - #### AnaStats

          public AnaStats(int bitrateActionCounter,
                          int channelActionCounter,
                          int dtxActionCounter,
                          int fecActionCounter,
                          int frameLengthIncreaseCounter,
                          int frameLengthDecreaseCounter,
                          float uplinkPacketLossFraction)

  - ### Method Detail

    - #### getBitrateActionCounter

          public int getBitrateActionCounter()

    - #### setBitrateActionCounter

          public void setBitrateActionCounter(int bitrateActionCounter)

    - #### getChannelActionCounter

          public int getChannelActionCounter()

    - #### setChannelActionCounter

          public void setChannelActionCounter(int channelActionCounter)

    - #### getDtxActionCounter

          public int getDtxActionCounter()

    - #### setDtxActionCounter

          public void setDtxActionCounter(int dtxActionCounter)

    - #### getFecActionCounter

          public int getFecActionCounter()

    - #### setFecActionCounter

          public void setFecActionCounter(int fecActionCounter)

    - #### getFrameLengthIncreaseCounter

          public int getFrameLengthIncreaseCounter()

    - #### setFrameLengthIncreaseCounter

          public void setFrameLengthIncreaseCounter(int frameLengthIncreaseCounter)

    - #### getFrameLengthDecreaseCounter

          public int getFrameLengthDecreaseCounter()

    - #### setFrameLengthDecreaseCounter

          public void setFrameLengthDecreaseCounter(int frameLengthDecreaseCounter)

    - #### getUplinkPacketLossFraction

          public float getUplinkPacketLossFraction()

    - #### setUplinkPacketLossFraction

          public void setUplinkPacketLossFraction(float uplinkPacketLossFraction)